Package com.dropbox.core.v2.team
Class LegalHoldsCreatePolicyBuilder
java.lang.Object
com.dropbox.core.v2.team.LegalHoldsCreatePolicyBuilder
The request builder returned by
DbxTeamTeamRequests.legalHoldsCreatePolicyBuilder(java.lang.String, java.util.List<java.lang.String>).
Use this class to set optional request parameters and complete the request.
-
Method Summary
Modifier and TypeMethodDescriptionstart()Issues the request.withDescription(String description) Set value for optional field.withEndDate(Date endDate) Set value for optional field.withStartDate(Date startDate) Set value for optional field.
-
Method Details
-
withDescription
Set value for optional field.- Parameters:
description- A description of the legal hold policy. Must have length of at most 501.- Returns:
- this builder
- Throws:
IllegalArgumentException- If any argument does not meet its preconditions.
-
withStartDate
Set value for optional field.- Parameters:
startDate- start date of the legal hold policy.- Returns:
- this builder
-
withEndDate
Set value for optional field.- Parameters:
endDate- end date of the legal hold policy.- Returns:
- this builder
-
start
Issues the request.
-